## gnome-shell-extension-dashtodock 55

=== Makefile ===
# Basic Makefile

UUID = dash-to-dock@micxgx.gmail.com
BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js intellihide.js prefs.js theming.js Settings.ui
EXTRA_MEDIA = logo.svg
TOLOCALIZE =  prefs.js
MSGSRC = $(wildcard po/*.po)
INSTALLBASE = ~/.local/share/gnome-shell/extensions
INSTALLNAME = dash-to-dock@micxgx.gmail.com

# The command line passed variable VERSION is used to set the version string 
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dashtodock.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dashtodock.pot; \
	done;

./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext -k_ -kN_ -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext -k_ -kN_ --join-existing -o po/dashtodock.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/media
	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

=== debian/changelog ===
gnome-shell-extension-dashtodock (55-2) unstable; urgency=medium

  * Fix install file to install compiled schema properly
  * Bump compat level to 10 (no changes)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 14 Nov 2016 13:00:41 +0200

gnome-shell-extension-dashtodock (55-1) unstable; urgency=medium

  * Initial release (Closes: 829185)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 03 Oct 2016 09:22:40 +0200

=== debian/control ===
Source: gnome-shell-extension-dashtodock
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: debhelper (>=10), libglib2.0-bin
Standards-Version: 3.9.8
Homepage: https://micheleg.github.io/dash-to-dock/
Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master

Package: gnome-shell-extension-dashtodock
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-shell (>= 3.16)
Description: dash-to-dock extension for GNOME shell
 Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
 default dash out of the overview and transforms it in a dock for an easier
 launching of applications and a faster switching between windows and
 workspaces without leaving the desktop view improving the workflow in your
 system.
 .
 It supports autohide and intellihide modes as well as a fixed mode.
 Optional features are available in the extension settings. The extension
 is themes friendly.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/extensions.gnome.org-$1\.tar\.gz/ \
   https://github.com/micheleg/dash-to-dock/tags .*/extensions.gnome.org-v?(\d\S*)\.tar\.gz

## gnome-shell-extension-dashtodock 56

=== debian/changelog ===
gnome-shell-extension-dashtodock (56-1) unstable; urgency=medium

  * New upstream release
  * Remove unneeded dependency on ${shlibs:Depends}
  * Remove fix-install-path patch (accepted upstream)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 07 Feb 2017 13:50:55 +0200

gnome-shell-extension-dashtodock (55-4) unstable; urgency=medium

  * Depend on gir1.2-clutter-1.0 (Closes: #848662)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 23 Jan 2017 14:31:20 +0200

gnome-shell-extension-dashtodock (55-3) unstable; urgency=medium

  * Re-apply path fix patch (Closes: #844963)
  * Upgrade debian/watch to version 4

 -- Jonathan Carter <jcarter@linux.com>  Wed, 16 Nov 2016 09:07:36 +0200

## gnome-shell-extension-dashtodock 57

=== Makefile ===
--- 
+++ 
@@ -2,14 +2,18 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js intellihide.js prefs.js theming.js Settings.ui
+EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js windowPreview.js intellihide.js prefs.js theming.js Settings.ui
 EXTRA_MEDIA = logo.svg
 TOLOCALIZE =  prefs.js
 MSGSRC = $(wildcard po/*.po)
-INSTALLBASE = ~/.local/share/gnome-shell/extensions
+ifeq ($(strip $(DESTDIR)),)
+	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
+else
+	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
+endif
 INSTALLNAME = dash-to-dock@micxgx.gmail.com
 
-# The command line passed variable VERSION is used to set the version string 
+# The command line passed variable VERSION is used to set the version string
 # in the metadata and in the generated zip-file. If no VERSION is passed, the
 # current commit SHA1 is used as version number in the metadata while the
 # generated zip file has no string attached.

=== debian/changelog ===
gnome-shell-extension-dashtodock (57-1ubuntu1) zesty; urgency=medium

  * Pull from latest Debian packaging repo
    - Install gsettings schemas to /usr/share/glib-2.0/
    - Insert version field correctly in metadata.json

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2017 16:08:29 -0400

gnome-shell-extension-dashtodock (57-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcarter@linux.com>  Mon, 27 Mar 2017 12:42:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcarter@linux.com>
 Build-Depends: debhelper (>=10), libglib2.0-bin
 Standards-Version: 3.9.8
 Homepage: https://micheleg.github.io/dash-to-dock/
@@ -10,7 +11,7 @@
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-shell (>= 3.16)
+Depends: ${misc:Depends}, gnome-shell (>= 3.16), gir1.2-clutter-1.0
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')
BASEDIR=debian/gnome-shell-extension-dashtodock/usr/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com
%:
	dh $@

override_dh_install:
	dh_install
	sed -i 's/"version": ""/"version": $(VERSION)/' $(BASEDIR)/metadata.json;
	rm -f $(BASEDIR)/COPYING
	rm -rf $(BASEDIR)/schemas

## gnome-shell-extension-dashtodock 59

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js windowPreview.js intellihide.js prefs.js theming.js Settings.ui
+EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
 EXTRA_MEDIA = logo.svg
-TOLOCALIZE =  prefs.js
+TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
@@ -43,9 +43,9 @@
 
 ./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
 	mkdir -p po
-	xgettext -k_ -kN_ -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
+	xgettext -k --keyword=__ --keyword=N__ -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
 	intltool-extract --type=gettext/glade Settings.ui
-	xgettext -k_ -kN_ --join-existing -o po/dashtodock.pot Settings.ui.h
+	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h
 
 ./po/%.mo: ./po/%.po
 	msgfmt -c $< -o $@

=== debian/changelog ===
gnome-shell-extension-dashtodock (59-2) unstable; urgency=medium

  * Upload to unstable (no changes)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 05 Jul 2017 15:41:30 +0200

gnome-shell-extension-dashtodock (59-1) experimental; urgency=medium

  * New upstream release
  * Improvements to install paths (thanks Fran Glais and Jeremy Bicha)
  * Update standards version to 4.0.0

 -- Jonathan Carter <jcarter@linux.com>  Thu, 08 Jun 2017 19:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Jonathan Carter <jcarter@linux.com>
 Build-Depends: debhelper (>=10), libglib2.0-bin
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-dashtodock/usr/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=schemas/ schemas
	dh_auto_build

override_dh_install:
	dh_install
	sed -i 's/"version": ""/"version": $(DEB_VERSION_UPSTREAM)/' $(BASEDIR)/metadata.json;
	rm -f $(BASEDIR)/COPYING
	rm -rf $(BASEDIR)/schemas

## gnome-shell-extension-dashtodock 60

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 ./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
 	mkdir -p po
-	xgettext -k --keyword=__ --keyword=N__ -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
+	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
 	intltool-extract --type=gettext/glade Settings.ui
 	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h

=== debian/changelog ===
gnome-shell-extension-dashtodock (60-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcarter@linux.com>  Mon, 10 Jul 2017 10:22:45 +0200

gnome-shell-extension-dashtodock (59-3) unstable; urgency=medium

  * Don't attempt to build gschemas in rules (Closes: #867448)
  * Add Testsuite field to debian/control

 -- Jonathan Carter <jcarter@linux.com>  Thu, 06 Jul 2017 19:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master
+Testsuite: autopkgtest
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all

## gnome-shell-extension-dashtodock 61

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,16 @@
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
 EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
-EXTRA_MEDIA = logo.svg
+EXTRA_MEDIA = logo.svg glossy.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
+	INSTALLTYPE = local
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
 else
-	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
+	INSTALLTYPE = system
+	SHARE_PREFIX = $(DESTDIR)/usr/share
+	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
 endif
 INSTALLNAME = dash-to-dock@micxgx.gmail.com
 
@@ -56,6 +59,13 @@
 	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
 	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
 	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
+ifeq ($(INSTALLTYPE),system)
+	# system-wide settings and locale files
+	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
+	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
+	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
+	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
+endif
 	-rm -fR _build
 	echo done

=== debian/changelog ===
gnome-shell-extension-dashtodock (61-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - update copyright years for po/ja.po
    - update copyright years for po/zh_CN.po
  * Update maintainer e-mail address
  * Update standards version to 4.1.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 08 Sep 2017 12:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>=10), libglib2.0-bin
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master

## gnome-shell-extension-dashtodock 62

=== debian/changelog ===
gnome-shell-extension-dashtodock (62-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jan 2018 13:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>=10), libglib2.0-bin
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master

## gnome-shell-extension-dashtodock 63

=== debian/changelog ===
gnome-shell-extension-dashtodock (63-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file for new translations
  * Update compat to level 11

 -- Jonathan Carter <jcc@debian.org>  Thu, 05 Apr 2018 15:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>=10), libglib2.0-bin
+Build-Depends: debhelper (>=11), libglib2.0-bin
 Standards-Version: 4.1.3
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	glib-compile-schemas --strict --targetdir=schemas/ schemas
-	dh_auto_build
-
 override_dh_install:
 	dh_install
 	sed -i 's/"version": ""/"version": $(DEB_VERSION_UPSTREAM)/' $(BASEDIR)/metadata.json;

## gnome-shell-extension-dashtodock 64

=== debian/changelog ===
gnome-shell-extension-dashtodock (64-1) unstable; urgency=medium

  * New upstream version
  * Migrate to salsa subgroup for gnome shell extensions
  * Set primary maintainer to Debian GNOME Maintainers
  * Set myself as uploader
  * Remove extra README.md from binary package
  * Update standards version to 4.2.1 (no related changes)

 -- Jonathan Carter <jcc@debian.org>  Wed, 29 Aug 2018 20:55:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>=11), libglib2.0-bin
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://micheleg.github.io/dash-to-dock/
-Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging.git
-Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dashtodock-packaging/tree/master
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
 Testsuite: autopkgtest
 
 Package: gnome-shell-extension-dashtodock

## gnome-shell-extension-dashtodock 65

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
-EXTRA_MEDIA = logo.svg glossy.svg
+EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)

=== debian/changelog ===
gnome-shell-extension-dashtodock (65-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat (= 12)
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Feb 2019 11:09:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>=11), libglib2.0-bin
-Standards-Version: 4.2.1
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
+Uploaders: Jonathan Carter <jcc@debian.org>                                          
+Build-Depends: debhelper-compat (=12), libglib2.0-bin
+Standards-Version: 4.3.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock

## gnome-shell-extension-dashtodock 66

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-dashtodock (66-1) unstable; urgency=medium

  * Upload to unstable
  * Update standards version to 4.4.0 

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:25:03 +0000

gnome-shell-extension-dashtodock (66-1~exp2) experimental; urgency=medium

  * Fix copyright file problems

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 14:29:10 +0200

gnome-shell-extension-dashtodock (66-1~exp1) experimental; urgency=medium

  * New upstream release
  * Depend on gnome-shell (>= 3.32)

 -- Jonathan Carter <jcc@debian.org>  Sat, 23 Mar 2019 17:19:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gnome-shell-extension-dashtodock
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
-Uploaders: Jonathan Carter <jcc@debian.org>                                          
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (=12), libglib2.0-bin
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
@@ -12,7 +12,7 @@
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.16), gir1.2-clutter-1.0
+Depends: ${misc:Depends}, gnome-shell (>= 3.32), gir1.2-clutter-1.0
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

## gnome-shell-extension-dashtodock 66-1.1~really-65-1~1

=== debian/changelog ===
gnome-shell-extension-dashtodock (66-1.1~really-65-1~1) unstable; urgency=medium

  * Non-maintainer upload.
  * just be a bit higher in version

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Sep 2019 22:36:11 +0200

=== debian/control ===
Source: gnome-shell-extension-dashtodock
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
Uploaders: Jonathan Carter <jcc@debian.org>,
           Alf Gaida <agaida@siduction.org>                                         
Build-Depends: debhelper-compat (=12),
               libglib2.0-bin,
               quilt
Standards-Version: 4.3.0
Homepage: https://micheleg.github.io/dash-to-dock/
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
Testsuite: autopkgtest

Package: gnome-shell-extension-dashtodock
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.16), gir1.2-clutter-1.0
Description: dash-to-dock extension for GNOME shell
 Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
 default dash out of the overview and transforms it in a dock for an easier
 launching of applications and a faster switching between windows and
 workspaces without leaving the desktop view improving the workflow in your
 system.
 .
 It supports autohide and intellihide modes as well as a fixed mode.
 Optional features are available in the extension settings. The extension
 is themes friendly.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 BASEDIR=debian/gnome-shell-extension-dashtodock/usr/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com
 
 %:
-	dh $@
+	dh $@ --with quilt
 
 override_dh_install:
 	dh_install
 	sed -i 's/"version": ""/"version": $(DEB_VERSION_UPSTREAM)/' $(BASEDIR)/metadata.json;
 	rm -f $(BASEDIR)/COPYING
+	rm -f $(BASEDIR)/README.md
 	rm -rf $(BASEDIR)/schemas

## gnome-shell-extension-dashtodock 67

=== debian/changelog ===
gnome-shell-extension-dashtodock (67-1) unstable; urgency=high

  * Team upload
  * New upstream release
  * Update for GNOME Shell 3.34 (Closes: #941674)
  * Drop Testsuite field as there is no debian/tests/control
  * Update Standards-Version to 4.4.1

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 10 Oct 2019 08:56:56 +0200

=== debian/control ===
Source: gnome-shell-extension-dashtodock
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=12), libglib2.0-bin
Standards-Version: 4.4.1
Homepage: https://micheleg.github.io/dash-to-dock/
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock

Package: gnome-shell-extension-dashtodock
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.34), gir1.2-clutter-1.0
Description: dash-to-dock extension for GNOME shell
 Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
 default dash out of the overview and transforms it in a dock for an easier
 launching of applications and a faster switching between windows and
 workspaces without leaving the desktop view improving the workflow in your
 system.
 .
 It supports autohide and intellihide modes as well as a fixed mode.
 Optional features are available in the extension settings. The extension
 is themes friendly.

## gnome-shell-extension-dashtodock 67+git20200225

=== debian/changelog ===
gnome-shell-extension-dashtodock (67+git20200225-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release with git snapshot
  * debian/control: Depend on gnome-shell 3.35.90
  * d/p/appIcons-windowPreview-Use-vfunc-instead-of-signals.patch,
    d/p/general-Update-to-gnome-shell-3.36-code-with-more-actor-i.patch,
    d/p/metadata-Set-extension-compatible-with-shell-3.36-only.patch,
    d/p/utils-Use-more-ES6-compliant-code-to-override-calls.patch,
    d/p/windowPreview-Only-hide-the-close-button-if-no-entry-chil.patch:
    - Support gnome-shell 3.36

  [ Jonathan Carter ]
  * Update standards version to 4.5.0
  * Merge MR#1 (see changes above, thank you Marco) (Closes: #956163)
  * Add gnome-shell-extension-prefs to recommends

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Feb 2020 19:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (=12), libglib2.0-bin
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.34), gir1.2-clutter-1.0
+Depends: ${misc:Depends},
+  gnome-shell (>= 3.35.90),
+  gir1.2-clutter-1.0
+Recommends: gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

## gnome-shell-extension-dashtodock 68

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
-TOLOCALIZE =  prefs.js appIcons.js
+TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLTYPE = local

=== debian/changelog ===
gnome-shell-extension-dashtodock (68-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Remove superfluous testsuite statement
  * Add dependency for gnome-shell-extension-prefs
  * Update minimum gnome-shell version required to 3.36

 -- Jonathan Carter <jcc@debian.org>  Mon, 27 Apr 2020 17:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (=12), libglib2.0-bin
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all
-Depends: ${misc:Depends},
-  gnome-shell (>= 3.35.90),
-  gir1.2-clutter-1.0
-Recommends: gnome-shell-extension-prefs
+Depends: ${misc:Depends}, gnome-shell (>= 3.36), gir1.2-clutter-1.0, gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

## gnome-shell-extension-dashtodock 69

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-dock@micxgx.gmail.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-dashtodock (69-1) unstable; urgency=medium

  * New upstream release (Closes: 971654)
  * Fix debian/changelog history for the last two entries
  * Require minimum GNOME version of 3.36
  * Remove patch applied upstream:
    - general-Update-to-gnome-shell-3.36-code-with-more-actor-i.patch
    - metadata-Set-extension-compatible-with-shell-3.36-only.patch
    - metadata-Set-extension-compatible-with-shell-3.36-only.patch
    - windowPreview-Only-hide-the-close-button-if-no-entry-chil.patch
    - appIcons-windowPreview-Use-vfunc-instead-of-signals.patch

 -- Jonathan Carter <jcc@debian.org>  Wed, 07 Oct 2020 20:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (=12), libglib2.0-bin
 Standards-Version: 4.5.0
-Rules-Requires-Root: no
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
 
 Package: gnome-shell-extension-dashtodock
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.36), gir1.2-clutter-1.0, gnome-shell-extension-prefs
+Depends: ${misc:Depends},
+  gnome-shell (>= 3.36)
+Recommends: gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BASEDIR=debian/gnome-shell-extension-dashtodock/usr/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_install:
 	dh_install

## gnome-shell-extension-dashtodock 70

=== debian/changelog ===
gnome-shell-extension-dashtodock (70-1) unstable; urgency=medium

  * New upstream release (Closes: #993184)
  * Refresh patch to clean translations
  * Add new build-dependency: sassc
  * Add patch to mark GNOME 41 as supported (Closes: #996050)
  * Add patch to compensate for AppIconMenu method name change

 -- Jonathan Carter <jcc@debian.org>  Tue, 19 Oct 2021 20:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (=12), libglib2.0-bin
+Build-Depends: debhelper-compat (=12), libglib2.0-bin, sassc
 Standards-Version: 4.5.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git

## gnome-shell-extension-dashtodock 71

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Basic Makefile
 
 UUID = dash-to-dock@micxgx.gmail.com
-BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
+BASE_MODULES = extension.js metadata.json COPYING README.md
 EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js locations.js
@@ -31,8 +31,10 @@
 
 clean:
 	rm -f ./schemas/gschemas.compiled
+	rm -f stylesheet.css
+	rm -rf _build
 
-extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)
+extension: ./schemas/gschemas.compiled ./stylesheet.css $(MSGSRC:.po=.mo)
 
 ./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
 	glib-compile-schemas ./schemas/
@@ -46,12 +48,23 @@
 
 ./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
 	mkdir -p po
-	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
+	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" --from-code=utf-8 $(TOLOCALIZE)
 	intltool-extract --type=gettext/glade Settings.ui
 	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h
 
 ./po/%.mo: ./po/%.po
 	msgfmt -c $< -o $@
+
+./stylesheet.css: ./_stylesheet.scss
+ifeq ($(SASS), ruby)
+	sass --sourcemap=none --no-cache --scss _stylesheet.scss stylesheet.css
+else ifeq ($(SASS), dart)
+	sass --no-source-map _stylesheet.scss stylesheet.css
+else ifeq ($(SASS), sassc)
+	sassc --omit-map-comment _stylesheet.scss stylesheet.css
+else
+	sassc --omit-map-comment _stylesheet.scss stylesheet.css
+endif
 
 install: install-local
 
@@ -79,6 +92,7 @@
 	-rm -fR ./_build
 	mkdir -p _build
 	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
+	cp stylesheet.css _build
 	mkdir -p _build/media
 	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
 	mkdir -p _build/schemas

=== debian/changelog ===
gnome-shell-extension-dashtodock (71-1) unstable; urgency=medium

  * New upstream release (Closes: #987797, #989653, #985576)
  * Remove patch support-gnome-41 and rename-appicon-function
    (no longer needed)
  * Update standards version to 4.6.0
  * Upgrade to debhelper-compat (=13)
  * Declare minimum gnome-shell dependency as version 40

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Dec 2021 10:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (=12), libglib2.0-bin, sassc
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (=11), libglib2.0-bin, sassc
+Standards-Version: 4.6.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
@@ -12,7 +12,7 @@
 Package: gnome-shell-extension-dashtodock
 Architecture: all
 Depends: ${misc:Depends},
-  gnome-shell (>= 3.36)
+  gnome-shell (>= 40)
 Recommends: gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the

## gnome-shell-extension-dashtodock 75

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,41 @@
 # Basic Makefile
 
 UUID = dash-to-dock@micxgx.gmail.com
-BASE_MODULES = extension.js metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
-EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
-TOLOCALIZE =  prefs.js appIcons.js locations.js
+BASE_MODULES = extension.js \
+               metadata.json \
+               COPYING \
+               README.md \
+               $(NULL)
+
+EXTRA_MODULES = \
+                appSpread.js \
+                dash.js \
+                docking.js \
+                appIcons.js \
+                appIconIndicators.js \
+                fileManager1API.js \
+                launcherAPI.js \
+                locations.js \
+                windowPreview.js \
+                intellihide.js \
+                prefs.js \
+                theming.js \
+                utils.js \
+                dbusmenuUtils.js \
+                Settings.ui desktopIconsIntegration.js \
+                $(NULL)
+
+EXTRA_MEDIA = logo.svg \
+              glossy.svg \
+              highlight_stacked_bg.svg \
+              highlight_stacked_bg_h.svg \
+              $(NULL)
+
+TOLOCALIZE =  prefs.js \
+              appIcons.js \
+              locations.js \
+              $(NULL)
+
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLTYPE = local
@@ -82,7 +113,7 @@
 	-rm -fR _build
 	echo done
 
-zip-file: _build
+zip-file: _build check
 	cd _build ; \
 	zip -qr "$(UUID)$(VSTRING).zip" .
 	mv _build/$(UUID)$(VSTRING).zip ./
@@ -106,3 +137,14 @@
 		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
 	done;
 	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
+
+ifeq ($(strip $(ESLINT)),)
+    ESLINT = eslint
+endif
+
+ifneq ($(strip $(ESLINT_TAP)),)
+    ESLINT_ARGS = -f tap
+endif
+
+check:
+	$(ESLINT) $(ESLINT_ARGS) .

=== debian/changelog ===
gnome-shell-extension-dashtodock (75-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Oct 2022 17:05:19 +0200

gnome-shell-extension-dashtodock (73-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1019450)
  * Set maximum gnome-shell version to 43 (Closes: #1018195)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 14:12:04 -0400

gnome-shell-extension-dashtodock (72-2) unstable; urgency=medium

  * Merge changes from Debian Janitor:
    - Bump debhelper-compat to 13
    - Trim trailing whitespace
    - Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 10:07:18 +0200

gnome-shell-extension-dashtodock (72-1) unstable; urgency=medium

  * New upstream release (Closes: #1008539)
  * Update standards version to 4.6.1
  * New build-dependencies: eslint, node-js-yaml, node-chalk,
                            node-strip-ansi, node-text-table

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 May 2022 12:17:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (=11), libglib2.0-bin, sassc
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libglib2.0-bin, sassc, eslint,
+               node-js-yaml, node-chalk, node-strip-ansi, node-text-table
+Standards-Version: 4.6.1
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
@@ -12,7 +13,8 @@
 Package: gnome-shell-extension-dashtodock
 Architecture: all
 Depends: ${misc:Depends},
-  gnome-shell (>= 40)
+  gnome-shell (>= 40),
+  gnome-shell (<< 44~)
 Recommends: gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
@@ -24,4 +26,3 @@
  It supports autohide and intellihide modes as well as a fixed mode.
  Optional features are available in the extension settings. The extension
  is themes friendly.
-

## gnome-shell-extension-dashtodock 87+really84

=== Makefile ===
--- 
+++ 
@@ -16,13 +16,16 @@
                 fileManager1API.js \
                 launcherAPI.js \
                 locations.js \
+                locationsWorker.js \
+                notificationsMonitor.js \
                 windowPreview.js \
                 intellihide.js \
                 prefs.js \
                 theming.js \
                 utils.js \
                 dbusmenuUtils.js \
-                Settings.ui desktopIconsIntegration.js \
+                desktopIconsIntegration.js \
+                Settings.ui \
                 $(NULL)
 
 EXTRA_MEDIA = logo.svg \

=== debian/changelog ===
gnome-shell-extension-dashtodock (87+really84-1) unstable; urgency=high

  * Revert to version 84, last version compatible with GNOME Shell 44
    (Closes: #1050497)
  * debian/control: Update allowed gnome-shell versions per metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Aug 2023 08:37:59 -0400

gnome-shell-extension-dashtodock (87-1) unstable; urgency=medium

  * New upstream release (Closes: #1033100, #1041568)
  * Update gnome-shell dependency to include gnome-shell 45
  * OVerride tests that seem a bit flaky

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Aug 2023 12:30:21 +0200

gnome-shell-extension-dashtodock (84-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Update versioned dependency of gnome-shell to (<< 45~)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 11:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, sassc, eslint,
                node-js-yaml, node-chalk, node-strip-ansi, node-text-table
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends},
   gnome-shell (>= 40),
-  gnome-shell (<< 44~)
+  gnome-shell (<< 45~)
 Recommends: gnome-shell-extension-prefs
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 	rm -f $(BASEDIR)/COPYING
 	rm -f $(BASEDIR)/README.md
 	rm -rf $(BASEDIR)/schemas
+
+# eslint tests seem a bit flaky
+override_dh_auto_test:
+

## gnome-shell-extension-dashtodock 100

=== debian/changelog ===
gnome-shell-extension-dashtodock (2:100-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json
  * Add versioned Provides for gnome-shell-extension-dash-to-dock
  * Add gnome-shell-extension-manager as alternative to
    Recommends: gnome-shell-extension-prefs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 18:36:50 -0400

gnome-shell-extension-dashtodock (100-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.1
  * Update gnome-shell dependency to include version 48
    (Closes: #1096042)

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 12:39:50 +0200

gnome-shell-extension-dashtodock (99-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:20:06 +0200

gnome-shell-extension-dashtodock (95-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Sep 2024 18:08:15 +0200

gnome-shell-extension-dashtodock (94-1) unstable; urgency=medium

  * New upstream release 
  * Set max supported gnome-shell version to gnome-shell (<< 48~)
    (Closes: #1079234)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 27 Aug 2024 11:57:21 +0200

gnome-shell-extension-dashtodock (93-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 17:47:10 +0200

gnome-shell-extension-dashtodock (92-1) unstable; urgency=medium

  * Team upload
  * debian/control: Fix minimum compatible GNOME Shell version
  * Release to unstable (Closes: #1052093)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 06:44:41 -0400

gnome-shell-extension-dashtodock (92-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add copyright notice for korean language
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 May 2024 12:38:34 +0200

gnome-shell-extension-dashtodock (91-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update dependencies to allow for gnome-shell version 46 

 -- Jonathan Carter <jcc@debian.org>  Tue, 23 Apr 2024 15:00:46 +0200

gnome-shell-extension-dashtodock (89-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Oct 2023 13:02:00 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, sassc, eslint,
-               node-js-yaml, node-chalk, node-strip-ansi, node-text-table
-Standards-Version: 4.6.2
+               node-js-yaml, node-chalk, node-strip-ansi, node-text-table, python3
+Standards-Version: 4.7.0
 Homepage: https://micheleg.github.io/dash-to-dock/
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dashtodock
@@ -13,9 +13,10 @@
 Package: gnome-shell-extension-dashtodock
 Architecture: all
 Depends: ${misc:Depends},
-  gnome-shell (>= 40),
-  gnome-shell (<< 45~)
-Recommends: gnome-shell-extension-prefs
+ gnome-shell (>= 2:48~),
+ gnome-shell (<< 2:49~),
+Recommends: gnome-shell-extension-prefs | gnome-shell-extension-manager
+Provides: gnome-shell-extension-dash-to-dock (= ${binary:Version})
 Description: dash-to-dock extension for GNOME shell
  Dash to dock extension is an enhanced dash for GNOME Shell. It moves the
  default dash out of the overview and transforms it in a dock for an easier

## gnome-shell-extension-dashtodock 101

=== debian/changelog ===
gnome-shell-extension-dashtodock (101-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:42:16 +0200

gnome-shell-extension-dashtodock (100-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json
  * Add versioned Provides for gnome-shell-extension-dash-to-dock
  * Add gnome-shell-extension-manager as alternative to
    Recommends: gnome-shell-extension-prefs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 18:36:50 -0400
